Relesys API Docs

v1.4

https://api.relesysapp.net/api/v1.4

Participation

List
GET /calendarmodules/{moduleId}/calendars/{calendarId}/participation
https://api.relesysapp.net/api/v1.4/calendarmodules/{moduleId}/calendars/{calendarId}/participation
Get a list of event participations.

attendanceConfirmed will only be set if attendance confirmation is enabled on the related calendar event - otherwise it will be null.

Default sort is by creationDateTime in ascending order.
Scopes: relesys.api, relesys.api:read, relesys.api.calendars, relesys.api.calendars:read
URL Path
moduleId string / guid required
calendarId string / guid required
Query String
attendanceConfirmed boolean Filterable optional
creationDateTime datetimeoffset Filterable Sortable optional
eventId string / guid Filterable optional
fillingId string / guid Filterable optional
id string / guid Filterable optional
lastModifiedDateTime datetimeoffset Filterable Sortable optional
status string Filterable Sortable optional
userId string / guid Filterable optional
sort string Comma separated sort order based on sortable properties optional
offset integer Offset value for use in pagination Default: 0 optional
limit integer Total objects to fetch (max 1000) Default: 200 optional
Responses
application/json
JSON
{"count":3,"data":[{"id":"e50fa1d2-9b73-43d5-aa3c-37667cf71bf1","url":null,"eventId":"59c14077-86c8-40a2-a27c-77431fba4a02","eventUrl":null,"userId":"4d0b946b-8cdb-4488-8f60-3d840931dacf","userUrl":null,"status":"Attending","attendanceConfirmed":false,"fillingId":"83ef9a48-e2dd-4aef-a0c4-f217c039f619","fillingUrl":null,"creationDateTime":"2026-10-02T00:17:42.6016012+00:00","lastModifiedDateTime":"2026-10-03T00:17:42.6016012+00:00"},{"id":"05d97cc1-c87c-43c9-88e5-52c86164acbd","url":null,"eventId":"989c2ab8-08cb-4dd0-8303-6fe663a869d5","eventUrl":null,"userId":"aa95f88a-7d3f-466a-b762-2faf0a05ba66","userUrl":null,"status":"Tentative","attendanceConfirmed":true,"fillingId":null,"fillingUrl":null,"creationDateTime":"2026-10-03T00:17:42.6016012+00:00","lastModifiedDateTime":null},{"id":"a4f609fb-bdf5-4f03-b2f9-624b6a335125","url":null,"eventId":"6c4f96ba-1f1e-4b3b-93ca-1c60ba75b18b","eventUrl":null,"userId":"b7b9ba6a-bf8b-4467-a128-ccbf3e2a65f2","userUrl":null,"status":"Not attending","attendanceConfirmed":null,"fillingId":"4270fb56-adb9-446c-9f06-2a1ef098f395","fillingUrl":null,"creationDateTime":"2026-10-03T00:17:42.6016012+00:00","lastModifiedDateTime":null}]}
object
  count integer      
  ⯈ data array[object]      
   attendanceConfirmed boolean      
   creationDateTime datetimeoffset      
   eventId string / guid      
   eventUrl string      
   fillingId string / guid      
   fillingUrl string      
   id string / guid      
   lastModifiedDateTime datetimeoffset      
   status string      
   url string      
   userId string / guid      
   userUrl string      
  nextUrl string      
  previousUrl string